jdebug Documentation: Class PatternReferenceTypeSpec

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger.spec
Class PatternReferenceTypeSpec

    java.lang.Object
      |
      +--jde.debugger.spec.PatternReferenceTypeSpec

public class PatternReferenceTypeSpec
extends java.lang.Object
implements ReferenceTypeSpec

PatternReferenceTypeSpec.java Created: Mon Jul 19 12:47:26 1999

Since:
  0.1

Field Summary
`(package private) java.lang.String` | `classPattern`
`(package private) boolean` | `isWild`

Constructor Summary
`PatternReferenceTypeSpec(java.lang.String classPattern)`

Method Summary
`private void` | `checkClassName(java.lang.String className)`
`java.lang.String` | `getClassPattern()`
`private boolean` | `isJavaIdentifier(java.lang.String s)`
`boolean` | `matches(com.sun.jdi.ReferenceType refType)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### classPattern

    final java.lang.String classPattern

### isWild

    final boolean isWild

Constructor Detail

### PatternReferenceTypeSpec

    public PatternReferenceTypeSpec(java.lang.String classPattern)

Method Detail

### getClassPattern

    public java.lang.String getClassPattern()

### matches

    public boolean matches(com.sun.jdi.ReferenceType refType)

  Specified by:
    matches in interface ReferenceTypeSpec
  Tags copied from interface: ReferenceTypeSpec
  Returns:
    true if the ref type matches this spec

### checkClassName

    private void checkClassName(java.lang.String className)
                         throws JDEException

### isJavaIdentifier

    private boolean isJavaIdentifier(java.lang.String s)

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD